Jump to content
3000AD Forums
Sign in to follow this  
aggressor27

Need advice for patching 1.00.03.01

Recommended Posts

To begin, I know this has nothing to do with the either game software or the patch. This is an issue with my computer and I am asking advice on what I need to do to alleviate this problem.

Game loads, I select resume, restore, or start a new campaign, game crashes immediately after graphics are loaded. A runtime error shows, saying "R6002 - floating point support not loaded".

Steps I have taken;

-Noticed d3dx9_35.dll was not present on my system and installed it among others in a bundle from <a href="http://www.threelights.de/index.php?page=p...x_dll_files.php" target="_blank">http://www.threelights.de/index.php?page=p...x_dll_files.php</a>

-Ensured I have the correct games, addons, and patches (UCAWA Digital Dist (641MB), UCSE-ADDON Digital Dist (175MB), USCE 1.00.03 (8.49MB) & USCE 1.00.03.01 (8.82MB) ADDON patches)

-Researched "R6002" and what to do about it only to come up with C++, scanff(), and other programming jargon I dare not dabble in lest I find myself with a $2000 paper weight.

-Ran dxwebstup.exe, ensured I have the latest Runtime (August 2007, as directed)

-"Fooled the Updater" by altering settings.ini to earlier game version (1.00.00), which shows 1.00.02, oddly, as I'm trying to update from 1.00.03. Used updater.exe and settings.ini reverted back to 1.00.02 (still shows 1.00.03 in loading, though)

-Ensured I had the latest video and audio drivers for my system.

-Ran "R6002" through forum search.

I am not sweating this too much, as the 1.00.03 USCE D2D-ADDON patch allows me to patch over 1.00.03.01, making the game playable. But any advice is very appreciated, as I hate missing out on updates.

[Edit] Eh, just noticed my System Profile Information is no longer linked (http://pasted/?). I will rectify that tomorrow after I get back.

Share this post


Link to post
Share on other sites
To begin, I know this has nothing to do with the either game software or the patch. This is an issue with my computer and I am asking advice on what I need to do to alleviate this problem.

Game loads, I select resume, restore, or start a new campaign, game crashes immediately after graphics are loaded. A runtime error shows, saying "R6002 - floating point support not loaded".

Steps I have taken;

-Noticed d3dx9_35.dll was not present on my system and installed it among others in a bundle from <a href="http://www.threelights.de/index.php?page=p...x_dll_files.php" target="_blank">http://www.threelights.de/index.php?page=p...x_dll_files.php</a>

-Ensured I have the correct games, addons, and patches (UCAWA Digital Dist (641MB), UCSE-ADDON Digital Dist (175MB), USCE 1.00.03 (8.49MB) & USCE 1.00.03.01 (8.82MB) ADDON patches)

-Researched "R6002" and what to do about it only to come up with C++, scanff(), and other programming jargon I dare not dabble in lest I find myself with a $2000 paper weight.

-Ran dxwebstup.exe, ensured I have the latest Runtime (August 2007, as directed)

-"Fooled the Updater" by altering settings.ini to earlier game version (1.00.00), which shows 1.00.02, oddly, as I'm trying to update from 1.00.03. Used updater.exe and settings.ini reverted back to 1.00.02 (still shows 1.00.03 in loading, though)

-Ensured I had the latest video and audio drivers for my system.

-Ran "R6002" through forum search.

I am not sweating this too much, as the 1.00.03 USCE D2D-ADDON patch allows me to patch over 1.00.03.01, making the game playable. But any advice is very appreciated, as I hate missing out on updates.

[Edit] Eh, just noticed my System Profile Information is no longer linked (http://pasted/?). I will rectify that tomorrow after I get back.

This has nothing to do with the game; especially if after installing the latest DX9, you find that you are missing DLL files.

Also, IIRC, this was also an issue awhile back and only on Direct2Drive builds (which we have nothing to do with. We provide them the unprotected exe files, they protect it).

btw, that D2D build wasn't even supposed to be up because the non-D2D build is not yet ready, since I'm going to be removing Starforce ProActive support from UCSE, as I did with UCCE and all our future products. You can still use it though.

ALL the running around you're doing related to fooling the game version is irrelevant since the Updater does not update the D2D version. All it does is point you to the D2D downloads link.

I suggest you roll back to 1.00.03 until they [D2D] fix it. I've notified them this morning.

Share this post


Link to post
Share on other sites
This has nothing to do with the game; especially if after installing the latest DX9, you find that you are missing DLL files.

Also, IIRC, this was also an issue awhile back and only on Direct2Drive builds (which we have nothing to do with. We provide them the unprotected exe files, they protect it).

btw, that D2D build wasn't even supposed to be up because the non-D2D build is not yet ready, since I'm going to be removing Starforce ProActive support from UCSE, as I did with UCCE and all our future products. You can still use it though.

ALL the running around you're doing related to fooling the game version is irrelevant since the Updater does not update the D2D version. All it does is point you to the D2D downloads link.

I suggest you roll back to 1.00.03 until they [D2D] fix it. I've notified them this morning.

That's no problem at all, I appreciate the feedback. You saved me a system restore.

Share this post


Link to post
Share on other sites

OK, D2D sent over another version. I asked them for us to test it before they put it back on their site. So, here's your (or anyone who has the D2D version) chance to be that guinea pig we all hoped you've be. :)

Download one (depending on your UCSE version) of these, copy it into your UCSE game folder and run it. If it doesn't work, just re-apply the previous version (which you can now download from the D2D website) over it.

Share this post


Link to post
Share on other sites
OK, D2D sent over another version. I asked them for us to test it before they put it back on their site. So, here's your (or anyone who has the D2D version) chance to be that guinea pig we all hoped you've be. :)

Download one (depending on your UCSE version) of these, copy it into your UCSE game folder and run it. If it doesn't work, just re-apply the previous version (which you can now download from the D2D website) over it.

UCSE v1.00.03.01 D2D stand-alone version

UCSE v1.00.03.01 D2D UCAWA add-on version

Excellent, thanks. I'm Downloading now. 8.5 MB will unfortunately take forever on this connection (forever being 15-30 minutes), but I'm up late talking to the wife anyway. I'll get back as soon as possible, unless someone else hops on that boat faster than I can.

Also, I should note that I downloaded that DX driver bundle (the previously linked) from a 3rd party, so any problems I may encounter won't be result of fair testing.

***UPDATE*** Ran the patch and she works like a charm. Messed around in game for a few minutes with planetfall, hypering, Tacops, etc. And maybe it's because I'm running on 24 hours here, but the game looks a little better, I'm hearing ambient sounds I hadn't noticed before, and my load lag has been reduced. Thank you for addressing this so promptly.

Share this post


Link to post
Share on other sites

OK great, I'll kill the links and let them know its ok to publish that patch.

The non-D2D patch for UCSE should be coming along sometime this weekend, along with the 1.00.03.01 patch for UCCE as well.

Share this post


Link to post
Share on other sites

Please sign in to comment

You will be able to leave a comment after signing in



Sign In Now
Sign in to follow this  

×